-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

-- Prep the module
local M = {}
M.type = "auxilliary"
M.relevantDevice = nil
M.defaultOrder = 11000

-- Debug stuff
local ugfxCalled = 0
local soundEmitted = 0

-- Sound stuff
local soundNode = nil
local soundCoins = "file:>vehicles>HighBeam9000_MoneyBag>sounds>Coins.ogg"
local soundVolCoins = 0.1

-- Graphics update function; Updates other stuff too according to dt
local function updateGFX(dt)
	
	-- Debug message
	if ugfxCalled == 0 then
		ugfxCalled = 1
		log("I", "HB9K MoneyBag", "updateGFX called")
	end
end

-- Reset what we need to
local function reset()
	log("I", "HB9K MoneyBag", "reset called")
end

-- Coin collision sound
--local function onCollision(otherId, data)
--	obj:playSFXOnce(soundCoins, soundNode, soundVolCoins, 1)
--	
--	if soundEmitted == 0 then
--		soundEmitted = 1
--		log("I", "HB9K MoneyBag", "Sound emitted")
--	end
--end

-- Initialize everything, except sounds
local function init(jbeamdata)
	log("I", "HB9K MoneyBag", "init called")
	
	-- Get sound node
	soundNode = jbeamdata.soundNode
end

-- Public interface
M.init = init
M.reset = reset
M.updateGFX = updateGFX
--M.onCollision = onCollision

-- Return the module
return M
